"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vscode_languageserver_1 = require("vscode-languageserver");
const log4js = require("log4js");
const logger = log4js.getLogger();
function createConnection(method) {
    logger.debug(`createConnection: method {${method}}`);
    switch (method) {
        case 'stdio': return vscode_languageserver_1.createConnection(process.stdin, process.stdout);
        case 'node-ipc':
        default:
            return vscode_languageserver_1.createConnection(new vscode_languageserver_1.IPCMessageReader(process), new vscode_languageserver_1.IPCMessageWriter(process));
    }
}
exports.default = createConnection;
//# sourceMappingURL=createConnection.js.map