"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const MysqlClient_1 = require("./MysqlClient");
const PostgresClient_1 = require("./PostgresClient");
function getDatabaseClient(settings) {
    switch (settings.adapter) {
        case 'mysql': return new MysqlClient_1.default(settings);
        case 'postgresql': return new PostgresClient_1.default(settings);
        default: throw new Error(`not support ${settings.adapter}`);
    }
}
exports.default = getDatabaseClient;
//# sourceMappingURL=getDatabaseClient.js.map