"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log4js = require("log4js");
const path = require("path");
const os = require("os");
const yargs_1 = require("yargs");
const MAX_LOG_SIZE = 1024 * 1024;
const MAX_LOG_BACKUPS = 10;
const LOG_FILE_PATH = path.join(os.tmpdir(), 'sql-language-server.log');
function initializeLogging() {
    log4js.configure({
        appenders: {
            server: {
                type: 'file',
                filename: LOG_FILE_PATH,
                axLogSize: MAX_LOG_SIZE,
                ackups: MAX_LOG_BACKUPS
            }
        },
        categories: { default: { appenders: ['server'], level: yargs_1.argv.debug ? 'debug' : 'warn' } }
    });
    const logger = log4js.getLogger();
    process.on('uncaughtException', e => logger.error('uncaughtException', e));
    process.on('unhandledRejection', e => logger.error('unhandledRejection', e));
    return logger;
}
exports.default = initializeLogging;
//# sourceMappingURL=initializeLogging.js.map